Page MenuHomePhabricator

[mips] Remove redundant code in RetCC_MipsN.
ClosedPublic

Authored by dsanders on Oct 16 2014, 2:10 AM.

Details

Reviewers
vmedic
Summary

i32 is always promoted to i64 so it no longer makes sense to assign i32 to
registers.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 14994.Oct 16 2014, 2:10 AM
dsanders retitled this revision from to [mips] Remove redundant code in RetCC_MipsN..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a reviewer: vmedic.
dsanders added subscribers: theraven, Unknown Object (MLST).
vmedic accepted this revision.Nov 20 2014, 4:12 AM
vmedic edited edge metadata.

LGTM

This revision is now accepted and ready to land.Nov 20 2014, 4:12 AM
dsanders closed this revision.Dec 8 2014, 7:13 AM